Package org.bgerp.dao.param

# Class OldParamSearchDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.dao.param.OldParamSearchDAO

@Deprecated public class OldParamSearchDAO extends CommonDAO
Deprecated.
Old style parameter value search DAO.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `OldParamSearchDAO.Extractor<T>`
  Deprecated.

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OldParamSearchDAO(Connection con)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getParamJoinFilters(String expression, String objectId)`
  Deprecated.
  Добавление INNER JOIN фильтров по параметрам, пока поддерживается только значение вида для списковых.
  `Set<Integer>`
  `searchObjectByParameterList(int parameterId, int value)`
  Deprecated.
  Searches object IDs by list parameter value.
  `Set<Integer>`
  `searchObjectByParameterPhone(int parameterId, ParameterPhoneValue parameterPhoneValue)`
  Deprecated.
  Поиск объектов по значениям связанного телефонного параметра
  `Set<Integer>`
  `searchObjectByParameterText(int parameterId, String parameterTextValue)`
  Deprecated.
  Поиск объектов по значнию текстового параметра.
  `<T> void`
  `searchObjectListByEmail(String tableName, OldParamSearchDAO.Extractor<T> extractor, Pageable<ParameterSearchedObject<T>> searchResult, List<Integer> emailParamIdList, String email)`
  Deprecated.

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OldParamSearchDAO

    public OldParamSearchDAO(Connection con)
    Deprecated.

- ## Method Details

  - ### getParamJoinFilters

    public static String getParamJoinFilters(String expression, String objectId) throws SQLException
    Deprecated.
    Добавление INNER JOIN фильтров по параметрам, пока поддерживается только значение вида для списковых. param:`:value in 1,2,3`
    Parameters:
      `objectId` -
      `valuesCache` -
      `equation` -
    Returns:
    Throws:
      `SQLException`

  - ### searchObjectByParameterPhone

    public Set<Integer> searchObjectByParameterPhone(int parameterId, ParameterPhoneValue parameterPhoneValue) throws SQLException
    Deprecated.
    Поиск объектов по значениям связанного телефонного параметра
    Parameters:
      `parameterId` - - ID параметра
      `parameterPhoneValue` - - набор телефонов для поиска
    Returns:
    Throws:
      `SQLException`

  - ### searchObjectByParameterText

    public Set<Integer> searchObjectByParameterText(int parameterId, String parameterTextValue) throws SQLException
    Deprecated.
    Поиск объектов по значнию текстового параметра.
    Parameters:
      `parameterId` - param ID.
      `parameterTextValue` - точное значение.
    Returns:
      список с кодами объектов.
    Throws:
      `SQLException`

  - ### searchObjectByParameterList

    public Set<Integer> searchObjectByParameterList(int parameterId, int value) throws Exception
    Deprecated.
    Searches object IDs by list parameter value.
    Parameters:
      `parameterId` -
      `value` -
    Returns:
    Throws:
      `Exception`

  - ### searchObjectListByEmail

    public <T> void searchObjectListByEmail(String tableName, OldParamSearchDAO.Extractor<T> extractor, Pageable<ParameterSearchedObject<T>> searchResult, List<Integer> emailParamIdList, String email)
    Deprecated.